Module java.base
Package java.nio.file

## Class DirectoryNotEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.file.FileSystemException
        - - java.nio.file.DirectoryNotEmptyException

All Implemented Interfaces:
  `Serializable`

    public class DirectoryNotEmptyException
    extends FileSystemException

Checked exception thrown when a file system operation fails because a directory is not empty.

Since:
  1.7
See Also:
  Serialized Form

### Constructor Summary

Constructors
`DirectoryNotEmptyException​(String dir)` Constructs an instance of this class.

### Method Summary

### Methods declared in class java.nio.file.FileSystemException

`getFile, getMessage, getOtherFile, getReason`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DirectoryNotEmptyException

    public DirectoryNotEmptyException​(String dir)

Constructs an instance of this class.

Parameters:
  `dir` - a string identifying the directory or `null` if not known